Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.jaxb
Interface JAXBObjectHandler

public interface JAXBObjectHandler

JAXBObjectHandler implementations can be registered with the JAXB Reader in order to receive unmarshalled XML fragments.

Author:
  Wonne Keysers (Realsoftware.be)

Method Summary
`void` | `handleObject(javax.xml.bind.Element jaxbElement)` Called when the `JAXBReader`has finished parsing the xml path the handler was registered for.

Method Detail

### handleObject

    public void handleObject(javax.xml.bind.Element jaxbElement)
                      throws Exception

  Called when the `JAXBReader`has finished parsing the xml path the handler was registered for. The provided object is the unmarshalled representation of the XML path. It can be casted to the appropriate implementation class that is generated by the JAXB compiler.

  Parameters:
    `jaxbElement` - the unmarshalled JAXB object to handle
  Throws:
    `Exception` - of any kind, thrown by the implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.